package baleine.client.main.view;

import javafx.scene.control.Button;
import javafx.scene.control.ToolBar;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.TilePane;

/**
 * Main application view
 */
public class TransApplicationView extends BorderPane {

	public Button openButton;

	public TilePane cardsTilePane;

	/**
	 * Main application view constructor
	 */
	public TransApplicationView() {
		super();

		initToolBar();

		initTilePane();
	}

	/**
	 * Application toolbar initialization, places the toolbar at the top
	 */
	private void initToolBar() {
		openButton = new Button("Ouvrir");

		ToolBar bar = new ToolBar(openButton);

		setTop(bar);
	}

	/**
	 * Application cards panel
	 */
	private void initTilePane() {
		cardsTilePane = new TilePane();
		setCenter(cardsTilePane);
	}

}
